Multivariate Pattern Analysis in Python

# mvpa2.clfs.transerror.ConfusionMatrixError

class `mvpa2.clfs.transerror.``ConfusionMatrixError`(labels=None)

  Compute confusion matrix as an “error function”

  This class can be used to compute confusion matrices from classifier output inside cross-validation fold without the `stats` conditional attribute. Simply pass an instance of this class to the `errorfx` argument of `CrossValidation`.

  Methods

  `__call__`(predictions, targets) |

  Parameters:

  labels : list

  > Class labels for confusion matrix columns/rows

  Methods

  `__call__`(predictions, targets) |